Bug 55671 - french/aster: unbreaking on 4.8.
Summary: french/aster: unbreaking on 4.8.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-17 16:40 UTC by Thierry Thomas
Modified: 2003-08-18 15:21 UTC (History)
1 user (show)

See Also:


Attachments
aster.diff (1.38 KB, patch)
2003-08-17 16:40 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2003-08-17 16:40:02 UTC
	This PR unbreaks Code_Aster on 4.8.

	I've tried a lot of things, and I don't know exactly what has solved
	the breakage, but now it runs ;-) (a previous test with gcc32 did not
	fix anything).

	Changes: gcc-32, cc is used to link, with -lg2c + the previously applied
	patches.

Fix: Please apply the following patch:
How-To-Repeat: 	N/A.
Comment 1 Oliver Lehmann freebsd_committer 2003-08-18 10:19:38 UTC
Hi,

it does not build here...

Thread model: posix
gcc version 3.2.3
 /usr/local/lib/gcc-lib/i386-portbld-freebsd4.8/3.2.3/collect2 -V
-dynamic-linker /usr/libexec/ld-elf.so.1 -o asteru.exe /usr/lib/crt1.o
/usr/lib/crti.o
/usr/local/lib/gcc-lib/i386-portbld-freebsd4.8/3.2.3/crtbegin.o
-L/usr/local/lib -L/usr/local/lib -L/usr/X11R6/lib
-L/usr/local/lib/gcc-lib/i386-portbld-freebsd4.8/3.2.3
-L/usr/local/lib/gcc-lib/i386-portbld-freebsd4.8/3.2.3/../../..
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/lib_obj/python.o
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/lib_obj/lib_aster.lib
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/lib_obj/ferm.lib /usr/local/lib/python2.2/config/libpython2.2.a
/usr/local/lib/libmed.a /usr/local/lib/libhdf5.a -lf77blas -latlas -ltcl83
-ltk83 -lX11 -export-dynamic -lutil -lm -lz -lg2c -lgcc -lc_r -lgcc
/usr/local/lib/gcc-lib/i386-portbld-freebsd4.8/3.2.3/crtend.o
/usr/lib/crtn.o
/usr/local/lib/python2.2/config/libpython2.2.a(posixmodule.o): In function
`posix_tmpnam':
posixmodule.o(.text+0x2976): warning: tmpnam() possibly used unsafely;
consider using mkstemp()
/usr/local/lib/python2.2/config/libpython2.2.a(posixmodule.o): In function
`posix_tempnam':
posixmodule.o(.text+0x28b2): warning: tempnam() possibly used unsafely;
consider using mkstemp()
GNU ld version 2.12.1 [FreeBSD] 2002-07-20
  Supported emulations:
   elf_i386
copie de
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/catapy/commande dans
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/trav/catapy/commande

copie de
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/catapy/commun dans
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/trav/catapy/commun

copie de
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/catapy/entete dans
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/trav/catapy/entete

<INFO> compilation des commandes terminee 
 
error deleting
"/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/
STA7.1/trav/catapy/commande": file already exists
    while executing
"file delete -force $rep_trav"
    (procedure "ccat_com" line 98)
    invoked from within
"ccat_com $rep/trav $rep/$exe $rep "" $rep/commande oui"
    (procedure "make_aster" line 71)
    invoked from within
"make_aster {}
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1 {} nodebug FREEBSD"
    ("eval" body line 1)
    invoked from within
"eval [concat $nom_script $arg]"
    (procedure "appel_script" line 33)
    invoked from within
"appel_script $scri l_para present valeur arg_sup"
    (procedure "run_aster" line 125)
    invoked from within
"run_aster $argv
"
    (file
"/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/
STA7.1/tcl/run_aster.tcl" line 335)
root@kartoffel aster> make -DT
root@kartoffel aster> make -DT install
===>  Installing for fr-aster-7.1
===>   fr-aster-7.1 depends on file:
/usr/local/lib/python2.2/site-packages/Gnuplot - found
===>   fr-aster-7.1 depends on file: /usr/local/bin/onmetis.exe - found
===>   fr-aster-7.1 depends on file: /usr/local/bin/python2.2 - found
===>   fr-aster-7.1 depends on file: /usr/local/ASTK/ASTK_SERV - found
===>   fr-aster-7.1 depends on file: /usr/local/ASTK/ASTK_CLIENT - found
===>   fr-aster-7.1 depends on file: /usr/local/apps/Eficas - found
===>   fr-aster-7.1 depends on file: /usr/local/bin/gmsh - found
===>   fr-aster-7.1 depends on file: /usr/X11R6/bin/xmgrace - found
===>   fr-aster-7.1 depends on file: /usr/local/apps/homard - found
===>   fr-aster-7.1 depends on file:
/usr/local/lib/python2.2/site-packages/Numeric/Numeric.py - found
===>   fr-aster-7.1 depends on shared library: f77blas.1 - found
===>   Generating temporary packing list
===>  Checking if french/aster already installed
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_aster
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_cata
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_etude
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_exec
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_lib
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/make_test
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/run_aster
/usr/bin/sed -i "" -e
"s#/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/wor
k/STA7.1#/usr/test-ports/aster/aster/STA7.1#g"
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/tcl/../config.txt
/bin/mkdir -p /usr/test-ports/aster/aster/STA7.1/outils
/bin/cp -R
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/astest /usr/test-ports/aster/aster/STA7.1
/bin/cp -R
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/bibpyt /usr/test-ports/aster/aster/STA7.1
/bin/cp -R
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/cata_ele.pickled /usr/test-ports/aster/aster/STA7.1
cp:
/usr/obj/i386-4.8/usr/home/olivleh1/freebsd-cvs/ports/french/aster/work/S
TA7.1/cata_ele.pickled: No such file or directory
*** Error code 1

Stop in /usr/home/olivleh1/freebsd-cvs/ports/french/aster.
*** Error code 1

Stop in /usr/home/olivleh1/freebsd-cvs/ports/french/aster.
root@kartoffel aster> 

-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 2 Oliver Lehmann freebsd_committer 2003-08-18 15:20:32 UTC
State Changed
From-To: open->closed

Committed, Thanks. 
The build error I had was NFS-related (I won't build on an NFS share)